View Issue Details

IDCategoryLast Update
0000293features2015-07-23 01:40
Reportermatalos2Assigned To 
Reproducibilityalways 
Status acknowledgedResolutionopen 
Product Version 
Fixed in Version 
Summary0000293: plugin automation for enabled/bypass status
DescriptionI believe it is important that plugins should be enabled and disabled via automation.
(Logic Platinum has this feature right next to the volume and pan automations)
For example,a live performer doesn't his wah wah or distorcion effect activated the whole time, hi only activates it when he needs it.
Additional InformationI think there should be an automation track for the enabled/bypass status wich should have only 2 values: 0 and 1 therefoe ,I suppose, making it less complex.
TagsNo tags attached.

Users sponsoring this issue
Sponsors List Total Sponsorship = US$ 10

2009-04-07 23:35: zlp (US$ 10)
Users sponsoring this issue (Total Sponsorship = US$ 10)

Relationships

related to 0002087 new plugins bypass button should be assignable to a midi controller button 
related to 0000429 closed way to turn a send (and/or plugins) off with automaiton 

Activities

paul

2004-03-03 12:17

administrator   ~0000498

this might just make the feature freeze cutoff.

matalos2

2004-03-15 19:14

reporter   ~0000546

So,that means a definit NO or a maybe?

paul

2004-03-15 21:11

administrator   ~0000548

its a mostly-sort-of yes :)

matalos2

2004-05-15 22:56

reporter   ~0000722

Just to remind you of this one and to see if you were interested in including this feature in a release.

paul

2004-05-16 05:10

administrator   ~0000727

actually, its a lot *more* complex if its done right, because turning the plugin on/off will probably produce clicks. however, i suspect that some basic version of this will make the 1.0 list.

zlp

2009-04-07 23:21

reporter   ~0005863

Just checking to see if any progress has been made here. We're on 2.7.1 now (actually 2.8 but I don't have the OSX binary yet, so please disregard if it's been implemented in 2.8)

zlp

2009-04-07 23:33

reporter   ~0005865

also see a similar request for mute automation. http://tracker.ardour.org/view.php?id=560

I mention it here because they are both boolean parameters, which Ardour currently treats as a 0.0 to 1.0 float. If that behavior were changed, it would have (positive) ramifications for a lot of stuff.

naught101

2014-01-12 12:19

reporter   ~0015566

@paul: shouldn't it be the plugin's perogative to handle nice bypass switching?

paul

2014-01-12 14:51

administrator   ~0015567

show me a plugin API that provides a way to do this, and I'll use it. you can turn plugins on and off. I've never seen a bypass method.

lpirl

2015-07-22 09:45

reporter   ~0016923

Last edited: 2015-07-22 10:17

In analogy to pulling out a device of a signal chain (in hardware), maybe it would be okay to let the user ensure that bypassing a plugin happens when there is no signal going though it.
Even within plugins, quite a few parameters cause artifacts when automated.
However, a really quick fade might be a minimum consensus.

x42

2015-07-22 13:54

administrator   ~0016929

The consensus is to have the plugin do the bypassing (the host cannot know the correct way to bypass a plugin, only the plugin does) and implement it for LV2 because it's the only plugin standard that supports it. There are 3 states : passthrough (zero latency), bypassed (with latency), active that a host needs to walk though for clickless insertion/removal.

x42

2015-07-22 13:56

administrator   ~0016930

PS. "consensus" was a between group of people who work on LV2 specs, a few LV2 plugin authors and users (MOD team) at the LAC'15.

lpirl

2015-07-23 00:25

reporter   ~0016933

Thanks x42, knowing those three stages shines some light on the difficulties.
I see that it's impossible to automate a passthrough.

However, there seems to be quite a demand for this but I think there is no clear, "right" answer to the questions if it is the host's or plug-in's responsibility.
I think a quick crossfade from wet to dry could do it but, oh well…

x42

2015-07-23 01:40

administrator   ~0016934

The right answer is definitely "plugin". The host cannot know what the correct way is. The plugin which implements the DSP has the information.

Cross-fade is indeed a good generic choice. Default 50ms (20Hz) or thereabouts.

If a plugin does not explicitly implement bypass (LV2 port designation), the host should fall back to x-fade (that also helps to simplify things for plugins that would just do a x-fade). The LV2 spec is work in progress and it'll likely show up in Ardour before LAC'16 maybe even earlier.

Issue History

Date Modified Username Field Change
2004-03-02 23:16 matalos2 New Issue
2004-03-03 12:17 paul Note Added: 0000498
2004-03-03 12:17 paul Status new => acknowledged
2004-03-15 19:14 matalos2 Note Added: 0000546
2004-03-15 21:11 paul Note Added: 0000548
2004-05-15 22:56 matalos2 Note Added: 0000722
2004-05-16 05:10 paul Note Added: 0000727
2008-02-19 06:39 v2 Relationship added related to 0002087
2008-02-19 06:42 v2 Relationship added related to 0000429
2009-04-07 23:21 zlp Note Added: 0005863
2009-04-07 23:33 zlp Note Added: 0005865
2009-04-07 23:35 zlp Sponsorship Added zlp: US$ 10
2009-04-07 23:35 zlp Sponsorship Total 0 => 10
2010-07-22 14:12 oofus cost => 0.00
2010-07-22 14:12 oofus Target Version => 3.X
2014-01-12 12:19 naught101 Note Added: 0015566
2014-01-12 14:51 paul Note Added: 0015567
2015-07-22 09:45 lpirl Note Added: 0016923
2015-07-22 10:06 lpirl Note Edited: 0016923
2015-07-22 10:17 lpirl Note Edited: 0016923
2015-07-22 13:54 x42 Note Added: 0016929
2015-07-22 13:56 x42 Note Added: 0016930
2015-07-23 00:25 lpirl Note Added: 0016933
2015-07-23 01:40 x42 Note Added: 0016934